
import java.util.*;

import org.hibernate.*;
import org.hibernate.criterion.*;

public class Main {
	
	
	public static void main(String[] args) {
		HibernateUtil.setup("create table EVENTS ( uid int, name VARCHAR, start_Date date, duration int);");
		
		// hibernate code start

        HibernateFactory.buildSessionFactory();

        Session session = HibernateFactory.openSession();
        Session session2 = HibernateFactory.openSession();

        Event event = new Event();
        event.setName("Name");

        session.save(event);
        session.flush();

        Event event2 = (Event) session2.load(Event.class, event.getId());
        System.out.println(event2.getName());

        

        HibernateUtil.checkData("select uid, name from events");        
		// hibernate code end
	}
	
}